Loading...
Searching...
No Matches
pqxx::string_traits< std::byte > Struct Reference

You cannot convert a `std::byte` to/from SQL. More...

Inheritance diagram for pqxx::string_traits< std::byte >:
[legend]
Collaboration diagram for pqxx::string_traits< std::byte >:
[legend]

## Additional Inherited Members

Static Public Member Functions inherited from pqxx::forbidden_conversion< std::byte >
static zview | to_buf (char *, char *, std::byte const &)
static char * | into_buf (char *, char *, std::byte const &)
static std::byte | from_string (std::string_view)
static std::size_t | size_buffer (std::byte const &) noexcept
Static Public Attributes inherited from pqxx::forbidden_conversion< std::byte >
static constexpr bool | converts_to_string
static constexpr bool | converts_from_string

## Detailed Description

You cannot convert a `std::byte` to/from SQL.

To convert a raw byte value, use a `bytes_view`.

For example, to convert a byte `b` from C++ to SQL, convert the value `pqxx::bytes_view{&b, 1}` instead.

The documentation for this struct was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/strconv.hxx